class CreatePages < ActiveRecord::Migration[5.2]
  def change
    create_table :pages do |t|
      t.integer :user_id, null:false, index:true
      t.integer :project_id, null:false, index:true
      t.string :identifier
      t.string :site_name
      t.integer :language_frame, default: 0
      t.string :theme
      t.datetime :last_build_at
      t.boolean :state, default: true
      t.string :state_description
      t.timestamps
    end
  end
end
